//Custom File Upload styling

.customfile {
  width: 310px;
  text-align: left !important;
}

.customfile-input {
  position: absolute;
  background: transparent;
  border: 0;
  opacity: 0;
  -moz-opacity: 0;
  filter: progid:DXImageTransform.Microsoft.Alpha(opacity=0);
  z-index: 999;
}

.customfile {
  cursor: pointer;
  overflow: hidden;
  position: relative;
}

.customfile-disabled {
  opacity: .5;
  filter: progid:DXImageTransform.Microsoft.Alpha(opacity=0);
  cursor: default;
}

.customfile-feedback {
  display: block;
  padding: 4px;
  border: 1px solid #ccc;
  width: 255px;
  background: #ffffff;
  font-weight: normal;
  color: #444;
  width: 200px;
  font-size: 13px;
}

.customfile-button {
  float: right;
  font-family: $font-family-sans-serif;
  font-size: 13px;
  color: #ffffff;
  background-color: #A9451A;
  padding: 3px 12px;
  @include rounded(4px, 4px, 4px, 4px);
  overflow: visible;
  width: auto;
  cursor: pointer;
  position: relative;
  margin-bottom: 6px;
  font-size: 16px;
  font-weight: bold;
}

.customfile-hover .customfile-button, .customfile-focus .customfile-button {
  text-decoration: underline;
}

.FocusCareer {
  .customfile-feedback {
    border: 2px solid #aca7c7;
    @include rounded(4px, 4px, 4px, 4px);
    color: #000000;
    overflow: hidden;
  }
}

.btn-file {
    position: relative;
    overflow: hidden;
		span {
			display: block;
			overflow: hidden;
			ms-text-overflow: ellipsis;
			text-overflow: ellipsis;
		}
}
.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    background: white;
    cursor: inherit;
    display: block;
}
.form-control.input-file {
	background: #fff;
	cursor: text !important;
}